---
title: Delete an SSH key
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/deletesshkey/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/deletesshkey.png
---

# Delete an SSH key

DELETE

/ssh_keys/{ssh_key_id}

Select code sample

```sh
curl --request DELETE \
  --url https://api.wpengineapi.com/v1/ssh_keys/294deacc-d8b8-4005-82c4-0727ba8ddde0 \
  --header 'Authorization: Basic <credentials>'
```

-

Deletes the SSH key with the given ID.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**ssh_key_id**

required

string format: uuid

The ID of the SSH key to delete

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

## Responses

### 204

No Content

### 400

Bad Request

### 401

Authentication Error

### 403

Not authorized

### 404

Not found

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
